=== debian/changelog ===
debian-installer (20040801ubuntu20) warty; urgency=low

  * Manual changes:
    - Refer to 'Ubuntu 4.10 "Warty Warthog"' rather than just 'Ubuntu 4.10'.
    - howto/installation-howto.xml: Ubuntu branding. Fix up for Ubuntu
      installer modifications.
    - install-methods/official-cdrom.xml: Link to releases.ubuntulinux.org.
  * Install Ubuntu splash image, so that pxeboot.tar.gz now has the correct
    image too (closes: Ubuntu #2343).

 -- Colin Watson <cjwatson@canonical.com>  Mon, 18 Oct 2004 17:31:23 +0100

debian-installer (20040801ubuntu19) warty; urgency=low

  * Manual changes:
    - Build English only.
    - Point "latest version of this manual" links at
      archive.ubuntulinux.org.
    - welcome/doc-organization.xml: Brand. Fix link to latest version.
    - welcome/getting-newest-doc.xml: Remove links to Debian release pages.
    - welcome/about-copyright.xml: Brand. Refer to multiverse rather than
      contrib and non-free. Link to the Ubuntu License Policy.
    - appendix/chroot-install.xml: Fix release name in debootstrap
      invocation. Add an "Install the Ubuntu Desktop" section.

 -- Colin Watson <cjwatson@canonical.com>  Tue, 12 Oct 2004 17:42:55 +0100

debian-installer (20040801ubuntu18) warty; urgency=low

  * Manual changes:
    - welcome/what-is-debian.xml: Add an "Ubuntu and Debian" section, with
      text from the Ubuntu web site.
    - using-d-i/components.xml, using-d-i/modules/archive-copier.xml:
      Document archive-copier.
    - Brand the appendix on partitioning, accidentally missed out earlier.
    - partitioning/tree.xml: Document /media, /srv, and /sys. Mention rough
      /usr requirements for an Ubuntu desktop installation.

 -- Colin Watson <cjwatson@canonical.com>  Tue, 12 Oct 2004 00:13:23 +0100

debian-installer (20040801ubuntu17) warty; urgency=low

  * Manual changes:
    - Ubuntu-brand the remainder of the manual.
    - Comment out references to hd-media and floppy booting and references
      to unsupported powerpc hardware for now.
    - welcome/welcome.xml: Drop the "What is Debian GNU/Linux?" section.
    - install-methods/install-methods.xml: Comment out automatic
      installation section; support for this is scheduled for Hoary.
    - install-methods/official-cdrom.xml: Ubuntu comes on only one CD.
    - boot-installer/parameters.xml: Default priority is critical, not high.
    - boot-installer/trouble.xml: Direct bug reports to ubuntu-users for
      now.
    - using-d-i/using-d-i.xml: Default priority is critical, not high. Don't
      mention partitioner or partconf. Briefly document archive-copier.
    - using-d-i/modules/partman.xml: We don't have the "partition free space
      on a drive" option at the top level of partman-auto.
    - boot-new/boot-new.xml: Comment out debian-guide reference.
    - boot-new/modules/timezone.xml: UTC question won't be asked if Ubuntu
      is the only installed OS.
    - boot-new/modules/shadow.xml: Document our root password arrangements.
    - boot-new/modules/ppp.xml: Comment out; we don't configure PPP.
    - boot-new/modules/packages.xml: Replace tasksel text with a note that
      the Ubuntu desktop will be automatically installed.
    - boot-new/modules/mta.xml: Comment out; we configure the MTA for local
      delivery only.
    - post-install/orientation.xml: Mention synaptic.
    - post-install/kernel-baking.xml: Remove some obsolete claims.
    - appendix/files.xml: Update disk space estimates. Drop tasksel sizes.
    - appendix/chroot-install.xml: Update disk space estimates. Drop
      reference to RPM port of Debian's debootstrap package.
      s/kernel-image/linux-image/g. Mention /sys.
    - administrivia/administrivia.xml: Direct bug reports to ubuntu-users
      for now.
    - administrivia/contributors.xml: Note my changes.

 -- Colin Watson <cjwatson@canonical.com>  Sun, 10 Oct 2004 18:46:59 +0100

debian-installer (20040801ubuntu16) warty; urgency=low

  * Ubuntu-brand chapter 3 of the manual.
  * Move to 2.6.8.1-3 kernels.
  * Backport from Debian at Mark's request:
    - Add page markers to the syslinux help screens.
  * Expand the documentation of 'custom' a bit.

 -- Colin Watson <cjwatson@canonical.com>  Mon, 27 Sep 2004 23:14:58 +0100

debian-installer (20040801ubuntu15) warty; urgency=low

  * Update substantial parts of the installation manual (English only for
    now) from Debian.
  * Build the manual for just amd64, i386, and powerpc.
  * Add amd64 to buildone.sh so that it can build. (Might not build very
    *well*, though.)
  * First steps at Ubuntu branding. Lots left to do. Some phrasing may be
    bizarre, so bear with me.
  * Add a "What is Ubuntu?" section; http://www.ubuntulinux.org/ supplied
    the text.
  * Unset supports-floppy-boot and bootable-usb for all our architectures,
    since we don't support those methods anywhere yet.
  * Tag a few more sections of the manual with
    condition="supports-floppy-boot" or condition="bootable-usb" to make
    this work better.

 -- Colin Watson <cjwatson@canonical.com>  Thu, 23 Sep 2004 02:24:59 +0100

debian-installer (20040801ubuntu14) warty; urgency=low

  * Add acpi-modules to amd64 initrds.
  * Backport from Debian (Joey Hess, Colin Watson) for Warty #1337:
    - Add "--" to the end of the syslinux and yaboot kernel append lines so
      user-params can work.

 -- Colin Watson <cjwatson@canonical.com>  Tue, 21 Sep 2004 01:52:23 +0100

debian-installer (20040801ubuntu13) warty; urgency=low

  * Update disk space estimates in boot screens (350 MB for custom, 1.8 GB
    for desktop).
  * Finish boot screen branding.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 15 Sep 2004 02:51:33 +0100

debian-installer (20040801ubuntu12) warty; urgency=low

  * Move to 2.6.8.1-2 kernels.

 -- Colin Watson <cjwatson@canonical.com>  Sun, 12 Sep 2004 11:40:42 +0100

debian-installer (20040801ubuntu11) warty; urgency=low

  * Merge from Debian (Debian bug #264584):

