## debian-installer 20041227ubuntu24

=== build/Makefile ===
--- 
+++ 
@@ -119,7 +119,7 @@
 endef
 
 define genext2fs-userdevfs
-  genext2fs -d $(TREE) -b $(USERDEVFS_SIZE) -r 0 -f userdevfs-dev.txt
+  genext2fs -d $(TREE) -b $(USERDEVFS_SIZE) -r 0 -f userdevfs-devs
 endef
 
 define genext2fs
@@ -201,6 +201,7 @@
 	@echo
 	@echo "list"
 	@echo "all_build"
+	@echo "all_rebuild"
 	@echo "stats"
 	@echo "all_clean"
 	@echo "reallyclean"
@@ -246,7 +247,7 @@
 	rm -f $(TEMP)/all.utf
 	rm -f $(TEMP)/unifont.bdf $(TREE)/unifont.bgf
 	rm -f pkg-lists/standard-udebs pkg-lists/kernel-module-udebs
-	rm -f $(TARGET)
+	rm -rf $(TARGET)
 	rm -rf $(TEMP)
 
 #
@@ -264,10 +265,14 @@
 	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
 	@$(submake) tree_umount $(EXTRATARGETS) $(TARGET)
 
-# Convenience rule to clean and build.
+# Convenience rules to clean and build.
 .PHONY: rebuild_%
 rebuild_%:
 	@$(submake) clean_$(subst rebuild_,,$@) build_$(subst rebuild_,,$@)
+
+.PHONY: _rebuild
+_rebuild:
+	@$(submake) _clean _build
 
 #
 # The general tree target.
@@ -340,16 +345,25 @@
 		fi; \
 		[ -z "$$sysmap_name" ] || mv $$sysmap_name $(TEMP);)
 
-	# These files depmod makes are used by hotplug, and we shouldn't
-	# need them, yet anyway.
-	find $(TREE)/lib/modules/ -name 'modules*' \
-		-not -name modules.dep -not -type d | xargs rm -f
+	# These files depmod makes are used by hotplug, if it's being used;
+	# otherwise, we shouldn't need them. Some files aren't even used by
+	# hotplug, so never include them.
+	if [ -d $(TREE)/etc/hotplug ]; then \
+		find $(TREE)/lib/modules/ -name 'modules*' \
+			-not -name modules.dep -not -name 'modules.*map' \
+			-not -type d | xargs rm -f; \
+	else \
+		find $(TREE)/lib/modules/ -name 'modules*' \
+			-not -name modules.dep -not -type d | xargs rm -f; \
+	fi
 
 	# These files are used to build special kernel images for some
 	# subarchitectures. Move them out of the way.
-	if [ -d $(TREE)/usr/lib/kernel-image-$(KERNELVERSION) ]; then \
-		mv $(TREE)/usr/lib/kernel-image-$(KERNELVERSION) $(TEMP)/lib; \
-	fi
+	$(foreach VERSION,$(KERNELVERSION), \
+		if [ -d $(TREE)/usr/lib/kernel-image-$(VERSION) ]; then \
+			mv $(TREE)/usr/lib/kernel-image-$(VERSION) \
+				$(TEMP)/lib; \
+		fi;)
 endif
 
 ifdef KERNELNAME
@@ -384,7 +398,7 @@
 	# Create a dev tree.
 	mkdir -p $(TREE)/dev
 	# Always needed, in case devfs is not mounted on boot.
-	# userdevfs uses userdevfs-dev.txt w/genext2fs
+	# userdevfs uses userdevfs-devs w/genext2fs
 ifndef USERDEVFS
 	mknod $(TREE)/dev/console c 5 1
 	mknod $(TREE)/dev/null c 1 3
@@ -401,12 +415,3 @@
 
 	# Library reduction. Existing libs from udebs are put in the udeblibs
 	# directory and mklibs is made to use those in preference to the
-	# system libs.
-	rm -rf $(TEMP)/udeblibs
-	mkdir -p $(TEMP)/udeblibs
-	-cp -a `find $(TREE)/lib -type f -name '*.so.*'` $(TEMP)/udeblibs
-	mkdir -p $(TREE)/lib
-	$(MKLIBS) -L $(TREE)/usr/lib -L $(TEMP)/udeblibs -v -d $(TREE)/lib --root=$(TREE) `find $(TEMP) -type f -perm +0111 -o -name '*.so' | grep -v udeblibs`
-	rm -rf $(TEMP)/udeblibs
-
-	# Add missing symlinks for libraries
