=== debian/changelog ===
debian-installer (20041227ubuntu24) hoary; urgency=low

  * Add nic-firmware to netboot initrds (closes: #8390).
  * Update copyright notices to 2005.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  5 Apr 2005 18:32:08 +0100

debian-installer (20041227ubuntu23) hoary; urgency=low

  * Fix powerpc build (copy yaboot to the right place).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 26 Mar 2005 17:15:06 +0000

debian-installer (20041227ubuntu22) hoary; urgency=low

  * Manual changes:
    - appendix/example-preseed.xml: Document how to pick a particular
      interface with netcfg/choose_interface. Update locale preseeding
      advice to localechooser. Add advice on preseeding a netboot interface
      on the kernel command line. Note that kernel 2.6.9 has raised kernel
      command line limits.
    - install-methods/automatic-install.xml: Document Kickstart
      installations (currently only the basics, a reference to Red Hat's
      documentation, and the differences from Anaconda).
  * Ship yaboot in powerpc netboot/hd-media directories.
  * Drop ia64 boot.img size to 16MB, to save CD space.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 26 Mar 2005 14:18:04 +0000

debian-installer (20041227ubuntu21) hoary; urgency=low

  * Move to 2.6.10-5 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Mar 2005 19:14:43 +0000

debian-installer (20041227ubuntu20) hoary; urgency=low

  * Fix netboot image build problem.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  2 Mar 2005 12:41:38 +0000

debian-installer (20041227ubuntu19) hoary; urgency=low

  * Rename debian-installer to ubuntu-installer in netboot image tree. (This
    directory name is there so that the installer's files can coexist with
    others on a shared TFTP server, so it should probably be named
    differently by Ubuntu derivatives too.)
  * Clarify syslinux boot message text (thanks, Mark Shuttleworth; closes:
    Ubuntu #7002).
  * Manual changes to note that post-installation logs go in
    /var/log/installer/ now.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  1 Mar 2005 21:50:31 +0000

debian-installer (20041227ubuntu18) hoary; urgency=low

  * Remove obsolete file-kickseed and network-kickseed packages from all
    images. initrd-kickseed does everything now.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 25 Feb 2005 20:32:24 +0000

debian-installer (20041227ubuntu17) hoary; urgency=low

  * Add the characters from the decision tree to all.utf
    (which is used as the base for building the font).

 -- Matthias Urlichs <smurf@debian.org>  Fri, 25 Feb 2005 16:52:50 +0100

debian-installer (20041227ubuntu16) hoary; urgency=low

  * Backport from trunk:
    - Fix support for multiple words in KERNELVERSION.
  * Add hppa support, based on a patch by LaMont Jones:
    - build/boot/hppa/mkiso.conf: Remove obsolete devfs=mount,dall
      init=/linuxrc.
    - build/config/hppa.cfg: 2.6 only; use 2.6.10-4 kernel; kernel images
      named *-hppa{32,64} rather than *-{32,64}.
    - build/config/hppa/: 2.6 only.
    - build/config/hppa/miniiso.cfg: Bump ramdisk size to 131072.
    - build/pkg-lists/cdrom/hppa.cfg, build/pkg-lists/floppy/hppa.cfg,
      build/pkg-lists/netboot/hppa.cfg: Remove discover.
    - doc/manual/build/build.sh: Build hppa manual.
    - doc/manual/build/arch-options/hppa: 2.6.10 kernel; remove
      status="not-checked".
  * build/pkg-lists/netboot/: Add pciutils-udeb where not already done.

  * doc/manual/en/preparing/non-debian-partitioning.xml: Ubuntu branding.

  * Add network-kickseed to all images containing network-preseed.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 24 Feb 2005 15:33:33 +0000

debian-installer (20041227ubuntu15) hoary; urgency=low

  * Move to 2.6.10-4 kernels.
  * Add console-keymaps-tree to all images that already have kbd-chooser,
    not just the currently supported ones.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Feb 2005 21:08:08 +0000

debian-installer (20041227ubuntu14) hoary; urgency=low

  * Add keyboard decision tree udeb.

 -- Matthias Urlichs <smurf@debian.org>  Fri, 18 Feb 2005 12:46:50 +0100

debian-installer (20041227ubuntu13) hoary; urgency=low

  * Output debian-cd_info.tar.gz on ia64 with all the boot screens.
  * Add customised boot screens for the ia64 live CD.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 17 Feb 2005 21:19:35 +0000

debian-installer (20041227ubuntu12) hoary; urgency=low

  * Add customised boot screens for the live CD.
  * build/boot/powerpc/boot.msg: Ubuntu branding.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Feb 2005 13:35:11 +0000

debian-installer (20041227ubuntu11) hoary; urgency=low

  * Add file-kickseed to all images containing file-preseed.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  9 Feb 2005 18:21:02 +0000

debian-installer (20041227ubuntu10) hoary; urgency=low

  * Backport from trunk:
    - Add support for kernel-specific pkg-lists entries: use lines like
      "package [2.2 2.4]" or "package * [2.6]". Should eventually form a
      simpler replacement for the kernel_specific directory.
  * Add kickseed-common and initrd-kickseed to all images containing
    preseed-common and initrd-preseed.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  7 Feb 2005 19:04:25 +0000

debian-installer (20041227ubuntu9) hoary; urgency=low

  * Add zoneinfo-udeb to monolithic builds, for tzsetup-udeb.

  * Move to 2.6.10-3 kernels.

  * Backport from trunk:
    - Add hd-media image for powerpc, including a boot.img.gz designed for
      use on USB sticks.
    - Document USB booting on powerpc. This involved splitting out the
      documentation for USB booting on i386 a bit.
  * Build boot.img.gz version of powerpc netboot, for use as a bootable USB
    image. Unlike amd64 and i386, this currently requires a 16 MB stick.
  * Manual changes:
    - install-methods/usb-setup/i386.xml,
      install-methods/usb-setup/powerpc.xml: Ubuntu branding.

  * Stop using ubuntu/install-type for server installs; preseed base-config
    instead.


