=== debian/control ===
Source: debian-installer
Section: devel
Priority: optional
Build-Depends: apt, gnupg, bc, slang1-utf8-pic, libnewt-pic, syslinux (>= 2.11-0.1) [i386 amd64], sysutils [i386 amd64], dosfstools [i386 ia64 m68k amd64], ncurses-base, genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.15), modutils, glibc-pic, mtools (>= 3.9.9-1) [i386 ia64 m68k amd64], bf-utf-source [!s390 !s390x], upx-ucl-beta (>= 1:1.91+0.20030910cvs-2) [i386], libbogl-dev, libtextwrap1, debhelper (>= 4), tip22 [mips], yaboot [powerpc], mkisofs, elilo [ia64], aboot (>= 0.9b-2) [alpha], silo [sparc], libdebian-installer4, libdebconfclient0, libiw27, palo [hppa], docbook, docbook-xml, docbook-xsl, xsltproc, genisovh [mips], grep-dctrl, bzip2 [powerpc], libparted1.6-12, delo [mipsel], genromfs [sparc], hfsutils [powerpc], colo (>= 1.10-1) [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], sparc-utils [sparc], cramfsprogs [powerpc ia64], mkvmlinuz [powerpc], module-init-tools [i386 powerpc amd64 hppa ia64 sparc], libnewt0.51, debiandoc-sgml
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Alastair McKinstry <mckinstry@computer.org>, Joshua Kwan <joshk@triplehelix.org>
Standards-Version: 3.6.1.0

Package: debian-installer-manual
Architecture: any
Description: Debian installation manual
 This package contains the Debian installation manual, in a variety of
 languages. It also includes the installation HOWTO, and a variety of
 developer documentation for the Debian Installer.
