## debian-installer 20050317sarge1-0.1amd64

=== debian/changelog ===
debian-installer (20050317sarge1-0.1amd64) stable; urgency=low

  * Don't build the documentation since it doesn't include
    things for amd64.
  * Change kernel from 2.6.8-11 to 2.6.8-12 for amd64, so
    that we actually use the latest version.
  * Disable the monolithic target for amd64.
  * Use cut -d '-' instead of -d '.' to get the date.

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 14 Aug 2006 16:40:19 +0000

debian-installer (20050317sarge1) stable; urgency=low

  * Frans Pop
    - Add build dependencies needed for PDF and TXT builds of the manual.
    - Make main build script for the manual fail on errors.
    - Introduce cascading stylesheet for the HTML version of the manual.
    - Final update of the manual and translations for Sarge version.
  * Joey Hess
    - Copyright file updates for 2005.
    - Switch amd64 back to 2.6.8 kernel; 2.6.10 is not preferred. Closes: #307306
  * Kurt Roeckx
    - Rename libdevmapper1.00-udeb to libdevmapper1.01-udeb for monolithic
      image. It's only build for amd64.  (Closes: #306976)
    - Change amd64 kernel from 2.6.8-10 to 2.6.8-11.
  * Colin Watson
    - Set default SUITE to sarge.
  * Frans Pop
    - Update kernel versions for Sarge security updates with ABI change.
    - Copyright file update for 2006.
    - Release targeted at Sarge 3.1r3 point release.

 -- Frans Pop <fjp@debian.org>  Fri,  4 Aug 2006 19:19:56 +0200

debian-installer (20050317) unstable; urgency=low

  * Frans Pop
    - Add German and Russian for official builds of the manual
    - Add PDF and TXT formats for official builds of the manual
  * Martin Michlmayr
    - Mention rootdev in the ARM manual, thanks Kyle McMartin.
    - Use the correct TFTP filename for ARM Netwinder.
    - Remove bogus information about noinitrd option from ARM manual.
    - Mention option needed for serial console installations on
      ARM Netwinder, thanks thanks Kyle McMartin.

 -- Joey Hess <joeyh@debian.org>  Thu, 17 Mar 2005 10:54:07 -0500

debian-installer (20050305) unstable; urgency=high

  * Thiemo Seufer
    - Do an e2fsck for the extra floppy images.
    - Handle sparse files in cramfs images more efficiently.
    - Use cramfs images for mips/r4k-ip22 and mips/r5k-ip22.
    - Add cramfsprogs build-dep for mips.
  * Colin Watson
    - Add acpi-modules to the amd64 cdrom, hd-media, monolithic, and netboot
      initrds, so that rootskel can turn the fan on.
    - Use dependency resolution for ide-modules, nic-modules,
      pcmcia-storage-modules, scsi-common-modules, scsi-modules, and
      usb-storage-modules on powerpc, and remove several modules from
      powerpc-extra-modules that only belong on certain images. This removes
      cdrom-core-modules and fs-common-modules from netboot images, and adds
      parport-modules to apus/cdrom (I think it was missing by mistake).
    - Add support for kernel-specific pkg-lists entries: use lines like
      "package [2.2 2.4]" or "package * [2.6]". Should eventually form a
      simpler replacement for the kernel_specific directory.
    - Include initrd.list on amd64/i386 images.
    - Add hd-media image for powerpc, including a boot.img.gz designed for
      use on USB sticks.
    - Document USB booting on powerpc. This involved splitting out the
      documentation for USB booting on i386 a bit.
    - Since power3 and power4 no longer build images with the 2.4 kernel,
      remove their KERNELVERSION_2.4 variables and kernel-build-2.4*
      build-dependencies.
    - Switch libparted1.6-0 build-dependency to libparted1.6-12.
    - Fix support for multiple words in KERNELVERSION.
  * Christian Perrier
    - Add the list of needed characters for Belarussian
    - Add the list of needed characters for Esperanto
  * Martin Michlmayr
    - Switch Cobalt to use the new-style initrd parameter rd_start and
      rd_size.
  * Stephen R. Marenka
    - Add m68k/amiga startup scripts with thanks to and the permission of
      Christian T. Steigies <cts@debian.org>.
  * Frans Pop
    - Implement new-generation build scripts for sarge branch.
    - Make kernel-version for sparc64 ide-modules variable by using an
      #include rather than the full module name.
    - Add gawk and poxml build dependencies (required for the manual)
  * Joshua Kwan
    - Change sparc kernels to use 2.6.8-2 udebs.
  * Joey Hess
    - Add new usb-modules to sparc64 images to support usb keyboard on sun
      blades.
    - Move all utilities in build/ into build/util/, except daily-build,
      which is hardcoded in many cron jobs.
    - Fix two cases where the pkg-lists dependency checker printed warnings
      about dependencies that were actually ok.
    - Manual correction re debconf/priority.
    - Don't fail to build if sources.list has a cdrom entry in it
      (don't try to use the cdrom as a udeb source, either).
    - Switch i386, ia64, alpha, hppa, and s390 to use the -2 kernel abiname.
    - Add text frontend to alpha netboot image for general old-timey keenness.
    - Dropped hppa 2.4 images.
    - Removed various things from the hppa 2.6 netboot initrd to make
      it small enough to work again.
    - Add cdrom-modules to hppa cdrom initrd, this is a new package as of the
      -2 kernel.
    - Add socket-modules to all hppa initrds, also newly modularised.
  * Bdale Garbee
    - hppa 2.6 cdrom initrd needs more modules
  * Kurt Roeckx
    - Remove unused config files for amd64.
    - Update kernel version for amd64 to 2.6.8-10
    - Update netboot and monolithic config files for amd64 to match i386.
  * Sven Luther
    - Adapted to new 2.4.27-3 and 0.64 powerpc kernel .deb and .udebs and
      mkvmlinuz.

 -- Joey Hess <joeyh@debian.org>  Sat,  5 Mar 2005 13:07:49 -0500
