## debian-installer 20050317sarge2

=== build/Makefile ===
--- 
+++ 
@@ -55,7 +55,7 @@
 #
 
 # Add to PATH so dpkg will always work, and so local programs will be found.
-PATH := $(PATH):/usr/sbin:/sbin:.
+PATH := util:$(PATH):/usr/sbin:/sbin
 
 # We don't want this to be run each time we re-enter.
 ifndef DEB_HOST_ARCH
@@ -131,7 +131,7 @@
 endef
 
 define mkcramfs
-  mkcramfs $(TREE)
+  mkcramfs -z $(TREE)
 endef
 
 #
@@ -236,7 +236,7 @@
 .PHONY: clean_%
 clean_%:
 	@$(submake) _clean $(shell $(submake) $(subst clean_,validate_,$@))
-	./update-manifest
+	update-manifest
 
 # The general clean rule.
 .PHONY: _clean
@@ -341,21 +341,14 @@
 		[ -z "$$sysmap_name" ] || sysmap_opt="-F $$sysmap_name"; \
 		if [ -d $(TREE)/lib/modules/$(VERSION) ]; then \
 			mkdir -p $(TREE)/lib/modules/$(VERSION)/kernel; \
-			$(shell ./choose-subarch-env $(VERSION)) depmod $$sysmap_opt -q -a -b $(TREE)/ $(VERSION); \
+			$(shell choose-subarch-env $(VERSION)) depmod $$sysmap_opt -q -a -b $(TREE)/ $(VERSION); \
 		fi; \
 		[ -z "$$sysmap_name" ] || mv $$sysmap_name $(TEMP);)
 
-	# These files depmod makes are used by hotplug, if it's being used;
-	# otherwise, we shouldn't need them. Some files aren't even used by
-	# hotplug, so never include them.
-	if [ -d $(TREE)/etc/hotplug ]; then \
-		find $(TREE)/lib/modules/ -name 'modules*' \
-			-not -name modules.dep -not -name 'modules.*map' \
-			-not -type d | xargs rm -f; \
-	else \
-		find $(TREE)/lib/modules/ -name 'modules*' \
-			-not -name modules.dep -not -type d | xargs rm -f; \
-	fi
+	# These files depmod makes are used by hotplug, and we shouldn't
+	# need them, yet anyway.
+	find $(TREE)/lib/modules/ -name 'modules*' \
+		-not -name modules.dep -not -type d | xargs rm -f
 
 	# These files are used to build special kernel images for some
 	# subarchitectures. Move them out of the way.
@@ -415,3 +408,8 @@
 
 	# Library reduction. Existing libs from udebs are put in the udeblibs
 	# directory and mklibs is made to use those in preference to the
+	# system libs.
+	rm -rf $(TEMP)/udeblibs
+	mkdir -p $(TEMP)/udeblibs
+	-cp -a `find $(TREE)/lib -type f -name '*.so.*'` $(TEMP)/udeblibs
+	mkdir -p $(TREE)/lib
