=== debian/changelog ===
debian-installer (20050317sarge2) oldstable; urgency=low

  * Change amd64 kernel from 2.6.8-11 to 2.6.8-12. Thanks Kurt Roeckx.
  * Fix kernel base version for sparc32 2.6 netboot kernel.
  * Support distribution equal to oldstable.
  * Update kernel versions for Sarge security updates with ABI change.

 -- Frans Pop <fjp@debian.org>  Tue,  3 Jul 2007 09:08:10 +0200
