=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
 VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
-DATE=$(shell echo $(VERSION) | cut -d '-' -f 1)
+DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
 DISTRIBUTION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2)
-ifeq (${DISTRIBUTION},stable)
+ifneq (,$(filter stable oldstable,${DISTRIBUTION}))
 DISTRIBUTION=sarge
 endif
 ifeq (${DISTRIBUTION},unstable)
@@ -38,9 +38,9 @@
 build-stamp:
 	rm -f $@
 	-rm -rf $(MANTMP)
-#	set -e && cd doc/manual/build && \
-#	        official_build=1 destination=$(MANTMP) \
-#		architectures=$(ARCH) noarchdir=1 ./build.sh
+	set -e && cd doc/manual/build && \
+	        official_build=1 destination=$(MANTMP) \
+		architectures=$(ARCH) noarchdir=1 ./build.sh
 
 	$(MAKE) -C doc/devel/partman
 	
@@ -52,8 +52,8 @@
 	dh_clean -k
 	dh_installdirs
 	
-#	install -d $(MANDIR)
-#	cp -a $(MANTMP)/* $(MANDIR)
+	install -d $(MANDIR)
+	cp -a $(MANTMP)/* $(MANDIR)
 	
 	# Inclusion of a sources.list.udeb.local is needed to build d-i for
 	# Sarge 3.1r3 including updated kernel udebs. This hack makes sure
@@ -72,7 +72,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs
-#	dh_installdocs $(MANTMP)
+	dh_installdocs $(MANTMP)
 	dh_installdocs -X manual doc/* -X Makefile -X partman-doc.sgml
 	dh_compress
 	dh_fixperms
